org.springframework.data.repository.history.support

## Interface RevisionEntityInformation

    public interface RevisionEntityInformation

Information about a revision entity which is the class carrying revision information for an entity.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `getRevisionEntityClass()`
`Class<?>` `getRevisionNumberType()`
`boolean` `isDefaultRevisionEntity()`

### Method Detail

#### getRevisionNumberType

    Class<?> getRevisionNumberType()

#### isDefaultRevisionEntity

    boolean isDefaultRevisionEntity()

#### getRevisionEntityClass

    Class<?> getRevisionEntityClass()